Redmine - Feature #2884

No way to configure start of week day
2009-03-02 20:49 - Tobias Rundstrém

Status: Closed Start date: 2009-03-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description

I can not find a setting for configure the first day in the week. This seems to be picked out from locales, but | would like the week to
start on monday (which is normal in europe) but still use the english language. There should be a setting for this just as there are
settings for hour format and date format.

Related issues:
Is duplicate of Redmine - Defect #7097: Starting day of week cannot be set to... Closed 2010-12-11

History

#1 - 2009-03-02 21:58 - Mischa The Evil

Tobias Rundstrom wrote:

| can not find a setting for configure the first day in the week.

AFAICT there indeed isn't a setting in the Ul for this (yet).
This seems to be picked out from locales, but | would like the week to start on monday (which is normal in europe) but still use the english

language.

I'm in the same position on that. Using Redmine r2167 (== 0.8.0) this could be changed through the locales indeed. Therefore | had to change the
following string-entry in ../lang/en.yml from:

general_ first_day_of_week: '7'
to:
general_first_day_of_week: '1l'

| don't know if it works on the current trunk due to the recent switch to native Rails i18n. You could try changing
source:/trunk/config/locales/en.yml#L. 107 from:

general_first_day_of_week: '7'
to:
general_first_day_of_week: '1l'

Note the preceding two spaces, they are required...

There should be a setting for this just as there are settings for hour format and date format.

+1 from me...

#2 - 2009-03-02 22:02 - Mischa The Evil
- Affected version (unused) deleted (0.8.1)
- Affected version deleted (0.8.1)

Target version should be set when decision is made upon integration of the feature. See submission guidelines.

| personally consider this a feature request instead of a defect...
https://www.redmine.org/projects/redmine/repository/svn/revisions/2167
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/config/locales/en.yml#L107
https://www.redmine.org/projects/redmine/wiki/Submissions

#3 - 2009-03-04 17:57 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2014-07-11 11:23 - Go MAEDA
The feature has been already implemented(#7097).

This issue can be closed.

#5 - 2014-08-07 12:00 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Go MAEDA wrote:
The feature has been already implemented(#7097).

This issue can be closed.

Thank you for your pointing.

#6 - 2014-08-07 12:00 - Toshi MARUYAMA
- Is duplicate of Defect #7097: Starting day of week cannot be set to Saturday added

2025-05-17 22


https://www.redmine.org/issues/7097
https://www.redmine.org/issues/7097
http://www.tcpdf.org

